package com.hz.pm.api.meeting.entity.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * ExpertReviewResultEnum
 * </p>
 *
 * @author WendyYang
 * @since 15:33 2024/11/20
 */
@Getter
@AllArgsConstructor
public enum ExpertReviewResultEnum {

    PASS("通过", 1),

    FAILED("不通过", 0),

    REVIEW_AFTER_MODIFY("修改方案后重新评审", 2);

    private final String value;
    private final Integer code;

    public boolean eq(Integer code) {
        return this.getCode().equals(code);
    }

}
