package com.hz.pm.api.open.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * <p>
 * StrFileIdReq
 * </p>
 *
 * @author WendyYang
 * @since 11:36 2024/12/9
 */
@Data
public class StrFileIdListReq {

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;

    @ApiModelProperty("文件strId列表")
    @NotEmpty(message = "文件strId列表不能为空")
    private List<String> strFileIds;

}
