package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * BindSystemToBidReq
 * </p>
 *
 * @author WendyYang
 * @since 11:16 2024/11/8
 */
@Data
public class BindSystemToBidReq {

    @ApiModelProperty("标项ID")
    @NotNull(message = "标项ID不能为空")
    private Long bidId;

    @ApiModelProperty("系统替换信息ID")
    private List<Long> systemReplaceInfoIds;

}
