package com.hz.pm.api.projectlib.model.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * MhSystemReplaceReq
 * </p>
 *
 * @author WendyYang
 * @since 15:13 2024/8/16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MhSystemReplaceReq extends PagePo {

    @ApiModelProperty("是否完成")
    private Boolean finish;

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("替代类型")
    private String replaceType;

    @ApiModelProperty("建设单位编码")
    private Long buildOrgCode;

    @ApiModelProperty("建设单位")
    private String buildOrgName;

    @ApiModelProperty("计划开始时间")
    private Integer planStartDateMin;
    @ApiModelProperty("计划开始时间")
    private Integer planStartDateMax;

    @ApiModelProperty("计划完成时间")
    private Integer planFinishDateMin;
    @ApiModelProperty("计划完成时间")
    private Integer planFinishDateMax;

    private String includeProjectCode;

}
