package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * DeclaredRecordProgressVO
 * </p>
 *
 * @author WendyYang
 * @since 17:14 2024/8/26
 */
@Data
public class DeclaredRecordProgressVO {

    @ApiModelProperty("总记录数")
    private Long totalCount;

    @ApiModelProperty("待立项备案数")
    private Long todoCount;

    @ApiModelProperty("立项备案通过数")
    private Long passedCount;

    @ApiModelProperty("立项备案不通过数")
    private Long failedCount;

    @ApiModelProperty("立项备案审核中数")
    private Long auditingCount;

}
