package com.hz.pm.api.sys.model.req;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * SqlRunnerReq
 * </p>
 *
 * @author WendyYang
 * @since 22:48 2024/12/16
 */
@Data
public class SqlRunnerReq {

    public enum ExecType {

        INSERT,

        UPDATE,

        DELETE,

        SELECT

    }

    @NotBlank(message = "execToken不能为空")
    private String execToken;

    @NotNull(message = "execType不能为空")
    private ExecType execType;

    @NotBlank(message = "execSql不能为空")
    private String execSql;

}
