package com.hz.pm.api.common.model.constant;

/**
 * <p>
 * ExistsSqlConst
 * </p>
 *
 * @author WendyYang
 * @since 15:38 2024/8/8
 */
public class ExistsSqlConst {

    private ExistsSqlConst() {
    }

    public static final String PROJECT_EXISTS_SYSTEM_REPLACE_INFOS = "select 1 from nd_project_gov_system_replace_infos npgsri where npgsri.project_code = nd_project.project_code ";

    public static final String PURCHASE_EXISTS_PROJECT = " select 1 from nd_project np where np.id = nd_purchase.project_id ";

    public static final String PROJECT_EXISTS_PURCHASE = " select 1 from nd_purchase np where nd_project.id = np.project_id ";

    public static final String PURCHASE_EXISTS_OPERATION = " select 1 from nd_project_operation npo where npo.bid_id = nd_purchase.id ";

    public static final String PROJECT_EXISTS_STATUS_CHANGE = "select 1 from nd_project_status_change npsc where npsc.project_code = nd_project.project_code ";

    public static final String PROJECT_EXISTS_PURCHASE_STATUS_CHANGE = "select 1 from nd_purchase_status_change npsc where npsc.project_code = nd_project.project_code ";

    public static final String PURCHASE_EXISTS_STATUS_CHANGE = "select 1 from nd_purchase_status_change npsc where npsc.bid_id = nd_purchase.id ";

    public static final String USER_EXISTS_ROLE = "select 1 from nd_user_role nur where nur.user_id = nd_user_info.id ";

    public static final String MEETING_INNER_PROJECT_EXISTS_MEETING = "select 1 from meeting m where meeting_inner_project.meeting_id = m.id ";

    public static final String USER_EXISTS_EXPERT_USER = "select 1 from nd_expert_user_full_info neufi where neufi.user_id = nd_user_info.id ";

}
