package com.hz.pm.api.common.model.constant;

import java.util.Arrays;
import java.util.List;

/**
 * <p>
 * MhUnitConst
 * </p>
 *
 * @author WendyYang
 * @since 14:55 2024/8/27
 */
public class MhUnitConst {

    private MhUnitConst() {
    }

    /**
     * 重点行业
     */
    public static final long KEY_INDUSTRY_UNIT_ID = 6788;

    /**
     * 市级部门
     */
    public static final long CITY_DISTRICT_UNIT_ID = 970;
    /**
     * 市属国有企业
     */
    public static final long CITY_SOE_UNIT_ID = 3269;
    /**
     * 区县部门
     */
    public static final long COUNTY_PARENT_UNIT_ID = 1084;

    public static final long ROOT_UNIT_ID = 1;

    public static final String UNIT_XCB = "信创办";

    public static final String UNIT_SOE = "国有企业";

    public static final String ROOT_UNIT_NAME = "市信创办";

    public static final String UNIT_HZ = "杭州市";

    public static final String CITY_SELF = "市级部门";

    public static final String CITY_SELF_ALIAS = "市本级";

    public static final String COUNTY_SELF = "区县部门";

    public static final List<String> UNIT_SORT = Arrays.asList("市", "上城", "拱墅", "西湖", "滨江", "萧山", "余杭", "临平", "钱塘", "富阳", "临安", "桐庐", "淳安", "建德");


}
