package com.hz.pm.api.common.model.dingtalk;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * <p>
 * DingTalkMarkdownPo
 * </p>
 *
 * @author WendyYang
 * @since 13:01 2022/11/7
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class DingTalkMarkdownMsgDTO extends AbstractDingTalkMsg {

    /**
     * markdown
     */
    private MarkdownDTO markdown;

    /**
     * MarkdownDTO
     */
    @Data
    @NoArgsConstructor
    public static class MarkdownDTO {
        /**
         * title
         */
        private String title;
        /**
         * text
         */
        private String text;
    }

}