package com.hz.pm.api.common.util;

import cn.hutool.core.codec.Base64;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.crypto.symmetric.AES;

/**
 * <p>
 * PreviewFileIdEncryptUtil
 * </p>
 *
 * @author WendyYang
 * @since 13:36 2024/11/19
 */
public class PreviewFileIdEncryptUtil {

    private PreviewFileIdEncryptUtil() {
    }

    private static final String KEY_BASE64 = "CUMEAixpClgj7CgkjVK/YQ==";

    public static String encryptFileId(String fileId) {
        AES aes = SecureUtil.aes(Base64.decode(KEY_BASE64));
        return aes.encryptHex(fileId);
    }

    public static String decryptFileId(String fileId) {
        AES aes = SecureUtil.aes(Base64.decode(KEY_BASE64));
        return aes.decryptStr(fileId);
    }

}
