package com.hz.pm.api.meeting.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * MeetingAppendProjectReq
 * </p>
 *
 * @author WendyYang
 * @since 17:36 2024/12/5
 */
@Data
public class MeetingAppendProjectReq {

    @NotNull(message = "会议ID不能为空")
    @ApiModelProperty("会议ID")
    private Long meetingId;

    @ApiModelProperty("项目ID列表")
    private List<Long> projectIds;

}
