package com.hz.pm.api.open.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * <p>
 * ReviewPassProjectListPO
 * </p>
 *
 * @author WendyYang
 * @since 10:59 2024/11/7
 */
@Data
public class MhSyncProjectListPO {

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;

    @ApiModelProperty("申报时间")
    private LocalDateTime createOn;

    @ApiModelProperty("项目年度")
    private Integer projectYear;

}
