package com.hz.pm.api.open.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * ReferSystemReplaceInfoToMhVO
 * </p>
 *
 * @author WendyYang
 * @since 10:17 2024/11/7
 */
@Data
@Builder
public class ReferSystemReplaceInfoToMhVO {

    @ApiModelProperty("底账ID")
    private String id;

    @ApiModelProperty("建设单位编码")
    private Integer buildOrgCode;

    @ApiModelProperty("建设单位名称")
    private String buildOrgName;

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("替代后系统名称")
    private String alternativeName;

    @ApiModelProperty("替代方式")
    private String alternativeType;

}
