package com.hz.pm.api.projectdeclared.chain.request;

import com.hz.pm.api.common.statemachine.util.ProjectStateMachineUtil;
import com.hz.pm.api.projectlib.entity.PurchaseStatusChange;
import com.hz.pm.api.projectlib.model.entity.Project;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * ProjectStatusRewriteRequest
 * </p>
 *
 * @author WendyYang
 * @since 18:15 2024/10/22
 */
@Data
public class ProjectStatusRewriteRequest {

    private ProjectStateMachineUtil projectStateMachineUtil;

    private Project project;

    private Map<Long, List<PurchaseStatusChange>> purchaseStatusChangeMap;

    private List<Long> buildAddBidIds;

}