package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * <p>
 * AdaptionProgressVO
 * </p>
 *
 * @author WendyYang
 * @since 16:46 2024/8/20
 */
@Data
@Builder
public class AdaptionProgressVO {

    @Tolerate
    public AdaptionProgressVO() {
        // 默认构造方法
    }

    @ApiModelProperty("总数")
    private Integer totalCount;

    @ApiModelProperty("待适配改造")
    private Long toBeAdapt;

    @ApiModelProperty("适配改造中")
    private Long onAdapting;

    @ApiModelProperty("适配改造完成")
    private Long finishAdapt;

}
