package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * ExpertReviewProgressVO
 * </p>
 *
 * @author WendyYang
 * @since 15:34 2024/9/2
 */
@Data
@Builder
public class ExpertReviewProgressVO {

    @ApiModelProperty("总数")
    private Integer totalCount;

    @ApiModelProperty("未上传建设方案盖章件的文件")
    private Integer withoutConstructionPlanSealFileCount;

    @ApiModelProperty("待提交")
    private Long todoCount;

    @ApiModelProperty("审核中")
    private Long auditCount;

    @ApiModelProperty("已通过")
    private Long passedCount;

    @ApiModelProperty("未通过")
    private Long failedCount;

    @ApiModelProperty("待重新提交")
    private Long toBeResubmitCount;

}
