package com.hz.pm.api.projectlib.model.constant;

import java.util.Arrays;
import java.util.List;

import static com.hz.pm.api.projectlib.model.enumeration.status.ProjectStatus.*;

/**
 * <p>
 * ProjectStatusConstant
 * </p>
 *
 * @author WendyYang
 * @since 16:21 2024/12/18
 */
public class ProjectStatusConstant {

    private ProjectStatusConstant() {
    }

    public static final List<Integer> CHANGE_STOP_DELETE_STAGE = Arrays.asList(CHANGE.getCode(), STOPPED.getCode(), DELETED.getCode());

    public static final List<Integer> CHANGE_DELETE_PASSED = Arrays.asList(CHANGE_APPLY_PASSED.getCode(), DELETED_PASSED.getCode());

    public static final List<Integer> CHANGE_STOP_DELETE_PASSED = Arrays.asList(CHANGE_APPLY_PASSED.getCode(), STOPPED_PASSED.getCode(), DELETED_PASSED.getCode());

}
