package com.hz.pm.api.projectlib.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 项目资金下达记录
 * </p>
 *
 * @author WendyYang
 * @since 2024-10-09
 */
@Data
public class ProjectApprovalAmountDTO {


    @ApiModelProperty("下达资金")
    private BigDecimal approvalAmount;

    @ApiModelProperty("结转金额")
    private BigDecimal carryOverAmount;

    @ApiModelProperty("年度")
    private Integer approvalYear;

    private LocalDateTime createOn;

}
