package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * ProjectCodeReq
 * </p>
 *
 * @author WendyYang
 * @since 18:08 2024/12/18
 */
@Data
public class ProjectCodeReq {

    @NotBlank(message = "项目编码不能为空")
    @ApiModelProperty("项目编码")
    private String projectCode;

}
