package com.hz.pm.api.projectlib.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * UploadConstructionPlanSealFileReq
 * </p>
 *
 * @author WendyYang
 * @since 09:11 2024/9/25
 */
@Data
public class UploadConstructionPlanSealFileReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("建设方案盖章件")
    @NotEmpty(message = "建设方案盖章件不能为空")
    private String constructionPlanSealFile;

}
