package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ProjectManageTodoCountVO
 * </p>
 *
 * @author WendyYang
 * @since 10:52 2024/10/31
 */
@Data
public class ProjectManageTodoCountVO {

    @ApiModelProperty("项目申报")
    private Integer projectDeclare;

    @ApiModelProperty("专家评审")
    private Integer expertReview;

    @ApiModelProperty("项目复核")
    private Integer projectReview;

    @ApiModelProperty("年度计划")
    private Integer annualPlan;

    @ApiModelProperty("资金下达")
    private Integer amountApproval;

    @ApiModelProperty("项目立项")
    private Integer projectRecord;

    @ApiModelProperty("项目采购")
    private Integer projectPurchase;

    @ApiModelProperty("项目适配")
    private Integer projectAdaption;

    @ApiModelProperty("项目初验")
    private Integer firstAccept;

    @ApiModelProperty("项目终验")
    private Integer finalAccept;

}
