package com.hz.pm.api.projectlib.model.vo;

import com.hz.pm.api.projectlib.model.dto.GovSystemReplaceInfoDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * ProjectGovSystemReplaceVO
 * </p>
 *
 * @author WendyYang
 * @since 15:47 2024/3/20
 */
@Data
public class UnitProjectGovSystemReplaceVO {

    @ApiModelProperty("单位名称")
    private String unitName;

    @ApiModelProperty("项目信息")
    private List<ProjectGovSystemReplaceVO> projectSystemReplaces;

    @Data
    public static class ProjectGovSystemReplaceVO {

        @ApiModelProperty("项目名称")
        private String projectName;

        @ApiModelProperty("项目ID")
        private Long projectId;

        @ApiModelProperty("项目编号")
        private String projectCode;

        @ApiModelProperty("关联系统信息")
        private List<GovSystemReplaceInfoDTO> replaceSystems;

    }

}
