package com.hz.pm.api.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * <p>
 * WorkbenchProjectLibSystemReplaceInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 15:49 2024/10/30
 */
@Data
@Builder
public class WorkbenchProjectLibSystemReplaceInfoVO {

    @ApiModelProperty("替代前系统名称")
    private String sourceSystem;

    @ApiModelProperty("被替代系统名称")
    private String targetSystem;

    @ApiModelProperty("替代方式")
    private String replaceType;

    @ApiModelProperty("替代前系统id")
    private String sourceSystemId;

    @ApiModelProperty("是否在主系统替代信息中")
    private Boolean isInMhSystemReplaceInfos;

    @ApiModelProperty("标段状态")
    private Integer referBidStatus;

}
