package com.hz.pm.api.user.task;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <p>
 * SyncMhUserProperties
 * </p>
 *
 * @author WendyYang
 * @since 11:49 2023/12/25
 */
@Data
@Component
@ConfigurationProperties(prefix = SyncMhUserProperties.PREFIX)
public class SyncMhUserProperties {

    public static final String PREFIX = "sync-mh-user";

    private Integer fixedRate = 10;

    private Boolean open = true;

    private Integer batchSize = 2000;

}
