package com.hz.pm.api.common;

import com.hz.pm.api.AppTests;
import com.hz.pm.api.common.statemachine.util.TenderStateMachineUtil;
import com.hz.pm.api.common.statemachine.util.XcfhxStateMachineUtil;
import com.hz.pm.api.common.util.ThreadPoolUtil;
import com.hz.pm.api.projectdeclared.model.entity.Purchase;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.concurrent.CountDownLatch;

/**
 * <p>
 * StateMachineTest
 * </p>
 *
 * @author WendyYang
 * @since 19:43 2024/8/29
 */
public class StateMachineTest extends AppTests {

    @Autowired
    private TenderStateMachineUtil tenderStateMachineUtil;
    @Autowired
    private XcfhxStateMachineUtil xcfhxStateMachineUtil;

    @Test
    public void test() {
        CountDownLatch count = new CountDownLatch(1000);
        for (int j = 0; j < 100; j++) {
            ThreadPoolUtil.SCHEDULER.execute(() -> {
                Purchase purchase = new Purchase();
                purchase.setProjectId(3496L);
                for (int i = 0; i < 5; i++) {
                    purchase.setBidType(i % 2 == 0 ? 2 : 1);
                    purchase.setStatus(101);
                    purchase.setXcfhxApplyStatus(301);
                    xcfhxStateMachineUtil.pass(purchase);
                }
                count.countDown();
            });
        }
    }

}
